### Method

# Foundry RunManager run_command

#### Declaration [src]

    DexFuture*
    foundry_run_manager_run_command (
      FoundryRunManager* self,
      FoundryBuildPipeline* pipeline,
      FoundryCommand* command,
      const char* tool,
      int build_pty_fd,
      int run_pty_fd,
      DexCancellable* cancellable
    )

#### Description [src]

Starts running a program.

#### Parameters

`pipeline`

  Type: `FoundryBuildPipeline`

  A `FoundryBuildPipeline`.

  The data is owned by the caller of the method.

`command`

  Type: `FoundryCommand`

  A `FoundryCommand`.

  The data is owned by the caller of the method.

`tool`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`build_pty_fd`

  Type: `int`

  No description available.

`run_pty_fd`

  Type: `int`

  No description available.

`cancellable`

  Type: `DexCancellable`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryRunTool`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.